Bug 200998 - [PATCH] Update www/h2o to 1.4.1
Summary: [PATCH] Update www/h2o to 1.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-06-20 19:48 UTC by Sean
Modified: 2015-09-18 09:57 UTC (History)
3 users (show)

See Also:
dch: maintainer-feedback+


Attachments
h2o 1.3.1 diff (1.89 KB, patch)
2015-06-20 19:48 UTC, Sean
no flags Details | Diff
h2o diff (1.81 KB, patch)
2015-06-20 20:07 UTC, Sean
no flags Details | Diff
h2o diff attempt 3 (2.84 KB, patch)
2015-06-21 00:33 UTC, Sean
no flags Details | Diff
patch v4 joint effort Sean & Dave (2.51 KB, patch)
2015-06-21 21:29 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff
incorporates changes for 1.4.1 now as well (2.66 KB, patch)
2015-07-27 21:19 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff
h2o make log (144.55 KB, text/plain)
2015-07-27 21:32 UTC, Dave Cottlehuber
no flags Details
make log from 1.4.2 (144.53 KB, text/plain)
2015-07-28 09:13 UTC, Dave Cottlehuber
no flags Details
includes changes for 1.4.2 (2.82 KB, patch)
2015-07-28 09:14 UTC, Dave Cottlehuber
dch: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sean 2015-06-20 19:48:58 UTC
Created attachment 157900 [details]
h2o 1.3.1 diff
Comment 1 Sean 2015-06-20 20:07:50 UTC
Created attachment 157901 [details]
h2o diff

Previous attachment had a minor bug
Comment 2 Dave Cottlehuber freebsd_committer 2015-06-20 21:26:19 UTC
Thanks Sean! LGTM in general but a few questions;

1. While h2o can be used as a library, the intent of the port is as a webserver. This is why the .h and .a files are currently not included. Is there a reason (e.g. additional new port dependency) to change this?

2. port should pass both `portlint` and `sudo make deinstall clean fetch makesum stage stage-qa check-orphans check-plist package install`. portlint is fine, but check-orphans is unhappy. Full details at https://dpaste.de/YS7x but basically it's the new h2o website. Can you tidy these loose ends up please?

My gut feel says there's no point in shipping the main website, but I'm new to FreeBSD so perhaps there's precedent for doing so?
Comment 3 Sean 2015-06-21 00:33:28 UTC
Created attachment 157905 [details]
h2o diff attempt 3

Note: adds a patch that removes documentation and library installation from CMake
Comment 4 Sean 2015-06-21 00:36:11 UTC
Hey Dave,

Upstream made some changes so installing it normally installs the site and the full static library stack despite not being needed at all for the server.

Worked around it with a quick patch that modifies CMakeLists to just not install any of those, adding the 2 new orphans that remain.

Thanks!
Comment 5 Dave Cottlehuber freebsd_committer 2015-06-21 21:27:29 UTC
Thanks, I couldn't get your patch to apply (curl ... | patch ...) so I whipped up this `curl https://github.com/dch/freebsd-ports/commit/430e802.diff | patch -p3~ instead. "Works For Me" ... no idea what the difference is/was.

I removed PORTREVISION as we're bumped PORTVERSION anyway, I'll just upload this as the latest patch & I think we are good to go.

If you have no objection I'll submit your CMakefile.txt changes upstream, (crediting you with your email address or whatever else you prefer).
Comment 6 Dave Cottlehuber freebsd_committer 2015-06-21 21:29:24 UTC
Created attachment 157957 [details]
patch v4 joint effort Sean & Dave

LGTM, committer please commit!
Comment 7 Dave Cottlehuber freebsd_committer 2015-06-21 21:29:57 UTC
v4 is good to go. Please commit!
Comment 8 Sean 2015-06-22 03:53:49 UTC
Dave,

That's annoying but I'm totally cool with that.

Email works as well, thanks!
Comment 9 Dave Cottlehuber freebsd_committer 2015-07-27 21:19:17 UTC
Created attachment 159318 [details]
incorporates changes for 1.4.1 now as well

# portlint

WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}...".
0 fatal errors and 2 warnings found.

# patch source

https://github.com/freebsd/freebsd-ports/commit/8a67866
Comment 10 Dave Cottlehuber freebsd_committer 2015-07-27 21:32:12 UTC
Created attachment 159319 [details]
h2o make log

# make log

sudo make clean fetch makesum stage stage-qa check-orphans check-plist package reinstall |& tee /ramdisk/h2o_20150727.log

===>  Cleaning for h2o-1.4.1
===>  License MIT accepted by the user
===>   h2o-1.4.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by h2o-1.4.1 for building
===>  License MIT accepted by the user
===>   h2o-1.4.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by h2o-1.4.1 for building
===>  License MIT accepted by the user
===>   h2o-1.4.1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by h2o-1.4.1 for building
===>  Extracting for h2o-1.4.1
=> SHA256 Checksum OK for h2o-h2o-v1.4.1_GH0.tar.gz.
===>  Patching for h2o-1.4.1
===>  Applying FreeBSD patches for h2o-1.4.1
===>   h2o-1.4.1 depends on file: /usr/local/bin/cmake - found
===>  Configuring for h2o-1.4.1
===>  Performing in-source build
/bin/mkdir -p /usr/ports/www/h2o/work/h2o-1.4.1
-- The C compiler identification is Clang 3.4.1
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
...
-- Installing: /usr/ports/www/h2o/work/stage/usr/local/share/h2o/start_server
/bin/mkdir -p /usr/ports/www/h2o/work/stage/usr/local/share/doc/h2o  /usr/ports/www/h2o/work/stage/usr/local/etc/h2o  /usr/ports/www/h2o/work/stage/var/run/h2o/  /usr/ports/www/h2o/work/stage/var/log/h2o/
install  -m 0644 /usr/ports/www/h2o/work/h2o-1.4.1/README.md /usr/ports/www/h2o/work/stage/usr/local/share/doc/h2o
install  -m 0644  /usr/ports/www/h2o/files/h2o.conf.sample  /usr/ports/www/h2o/work/stage/usr/local/etc/h2o/h2o.conf.sample
====> Compressing man pages (compress-man)
===> Staging rc.d startup script(s)
====> Running Q/A tests (stage-qa)
====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
===>  Building package for h2o-1.4.1
===>  Installing for h2o-1.4.1
===>   Registering installation for h2o-1.4.1
Installing h2o-1.4.1...
===> SECURITY REPORT: 
      This port has installed the following files which may act as network
      servers and may therefore pose a remote security risk to the system.
/usr/local/bin/h2o

      This port has installed the following startup scripts which may cause
      these network services to be started at boot time.
/usr/local/etc/rc.d/h2o

      If there are vulnerabilities in these programs there may be a security
      risk to the system. FreeBSD makes no guarantee about the security of
      ports included in the Ports Collection. Please type 'make deinstall'
      to deinstall the port if this is a concern.

      For more information, and contact details about the security
      status of this software, see the following webpage: 
http://github.com/h2o/h2o

full log attached
Comment 11 Sean 2015-07-27 23:36:06 UTC
Dave,

Nice catch with 1.4.1 being out!

If only this would get merged one day though.
Comment 12 Dave Cottlehuber freebsd_committer 2015-07-28 09:13:43 UTC
Created attachment 159336 [details]
make log from 1.4.2

# portlint

WARN: Makefile: possible use of absolute pathname "/var/log/${PORTNAME}...".
WARN: Makefile: possible use of absolute pathname "/var/run/${PORTNAME}...".
0 fatal errors and 2 warnings found.

# make

see attachment h2o.log for make log
Comment 13 Dave Cottlehuber freebsd_committer 2015-07-28 09:14:58 UTC
Created attachment 159337 [details]
includes changes for 1.4.2
Comment 14 commit-hook freebsd_committer 2015-07-28 11:22:15 UTC
A commit references this bug:

Author: pi
Date: Tue Jul 28 11:21:27 UTC 2015
New revision: 393066
URL: https://svnweb.freebsd.org/changeset/ports/393066

Log:
  www/h2o: 1.2.0 -> 1.4.2

  ChangeLog:
  https://github.com/h2o/h2o/releases

  PR:		200998
  Submitted by:	sean@x-n.su
  Approved by:	Dave Cottlehuber <dch@skunkwerks.at> (maintainer)

Changes:
  head/www/h2o/Makefile
  head/www/h2o/distinfo
  head/www/h2o/files/patch-CMakeLists.txt
  head/www/h2o/pkg-plist
Comment 15 Kurt Jaeger freebsd_committer 2015-07-28 11:23:02 UTC
Test-builds were fine on 10.1a, 9.3a, 10.1i, so: Committed, thanks!
Comment 16 commit-hook freebsd_committer 2015-09-18 09:57:26 UTC
A commit references this bug:

Author: junovitch
Date: Fri Sep 18 09:56:31 UTC 2015
New revision: 397229
URL: https://svnweb.freebsd.org/changeset/ports/397229

Log:
  MFH r393066,r396229,r396629,r397062:

  r393066
  www/h2o: 1.2.0 -> 1.4.2

  ChangeLog:
  https://github.com/h2o/h2o/releases

  PR:		200998
  Submitted by:	sean@x-n.su
  Approved by:	Dave Cottlehuber <dch@skunkwerks.at> (maintainer)

  r396229
  - Update to 1.4.4 [1]
  - Drop 8.x support [2]

  PR:		202818 [1]
  Submitted by:	Dave Cottlehuber (dch <at> skunkwerks <dot> at) [1]
  Approved by:	portmgr blanket [2]

  r396629
  - Fix rc.d script
  - Bump PORTVERSION

  PR:		202937
  Submitted by:	gblach
  Approved by:	Dave Cottlehuber (dch <at> skunkwerks <dot> at)

  r397062
  - Fix rc.d issues introduced with recent perl changes [1]
  - Update to 1.4.5 [2]

  PR:		203147 [1], 203096 [2]
  Submitted by:	Dave Cottlehuber (maintainer)

  Security:	31ea7f73-5c55-11e5-8607-74d02b9a84d5
  Security:	CVE-2015-5638
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2015Q3/
  branches/2015Q3/www/h2o/Makefile
  branches/2015Q3/www/h2o/distinfo
  branches/2015Q3/www/h2o/files/h2o.conf.sample
  branches/2015Q3/www/h2o/files/h2o.in
  branches/2015Q3/www/h2o/files/patch-CMakeLists.txt
  branches/2015Q3/www/h2o/pkg-plist